$premium-color: #6cc0e5;

.home-page {
  height: 100%;
  h2 {
    font-size: 1.5em;
  }
  
  section {
    margin: 2em auto;

    &:first-child {
      margin-top: 0;
    }

    &.centered {
      text-align: center;
    }
  }

  span.at-prefix {
    color: black;
    margin-left: 0.4em;
  }

}

button {
  cursor: pointer;
  &:focus {
    outline: none;
  }
  &.close-modal-button {
    position: absolute;
    right: 4px;
    top: 8px;
    color: grey;
    &:hover {
      color: black;
    }
  }
  &.add-reminder {
    position: absolute;
    top: 15px;
    left: 20px;
    border-radius: 50%;
    background: $premium-color;
    height: 50px;
    width: 50px;
    color: white;
    &.modal-button {
      height: 30px;
      width: 30px;
      top: 15px;
    }
    &:hover {
      background: white;
      border: 2px solid $premium-color
    }
  }
  &:hover {
    color: $premium-color; //todo: use var
  }
}

input {
  display: inline-block;
  margin-bottom: 10px;
  height: 30px;
  border-radius: 3px;
  &#text {
    border: 1px solid $premium-color;
    width: 100%;
  }
  &#date, &#time, &#color {
    margin: 10px;
  }
  &#color {
    width: 30px
  }
}

.primary-action-button {
  display: inherit;
  margin: 5px auto 0;
  background: $premium-color;
  color: #fff;
  padding: 10px;
  border: 2px solid $premium-color;
  border-radius: 3px;
  &:hover {
    background: #fff;
    color: $premium-color;
  }
}

.modal { // needed here as styled library component that can't look into dir of it's using
  width: 500px;
  min-height: 255px;
  .modal-header {
    font-size: 20px;
    text-align: center;
    margin-bottom: 15px;
  }
  .reminder-to-edit {
    display: flex;
    .reminder {
      flex: 1;
      word-break: break-all;
    }
    button {
      color: #aaa;
      &:hover {
        color: $premium-color;
      }
    }
  }
  .no-reminders-text {
    font-style: italic;
    color: grey;
    position: absolute;
    left: calc(50% - 51.5px);
    top: calc(50% - 20px);
  }
}

@media screen and (max-width: 499px) {
  .modal {
    width: 98%;
  }
}

@media screen and (max-width: 519px) {
  input {
    &date, &#time {
      margin-bottom: 0;
    }
    &#time {
      margin-right: calc(100% - 382px)
    }
  }
}
@media screen and (max-width: 430px) {
  input {
    &#date {
      margin-right: calc(100% - 190px);
    }
    &#time {
      margin-right: calc(100% - 224px);
    }
    &#color {
      margin-right: 0;
    }
  }
}

